summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2021-07-27 16:53:19 +0000
committerLars Wirzenius <liw@liw.fi>2021-07-27 16:53:19 +0000
commitda983483a853c672fc1238a36eafb66b79dcbe4a (patch)
treebfa88ff7aba022bf09ce4cae333fa36e7ba5e9ae /check
parent56671321dbd662fa3f2babdfdbf59f3287f5533b (diff)
parent91a5fef528e998939860f5bff93f18d4723bbdfd (diff)
downloadpuomi-da983483a853c672fc1238a36eafb66b79dcbe4a.tar.gz
Merge branch 'proto' into 'main'
feat: add scripts + infra for setting up nested VMs for routers See merge request larswirzenius/puomi!3
Diffstat (limited to 'check')
-rwxr-xr-xcheck11
1 files changed, 11 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..254c08a
--- /dev/null
+++ b/check
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# Typeset the subplot, and verify that a pre-existing test environment
+# functions.
+
+set -euo pipefail
+
+subplot docgen puomi.md -o puomi.pdf
+subplot docgen puomi.md -o puomi.html
+subplot codegen puomi.md -o test.py
+python3 test.py --log test.log